felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Enrique Rodriguez" <enriqu...@gmail.com>
Subject [commons] Bundle problems in 3rd round
Date Wed, 14 Mar 2007 21:57:40 GMT
Hi, Felix developers,

I committed a 3rd round of wrapper POMs.  I ran into 5 problems.  I
commented out broken wrapper POM modules in the commons parent POM.  3
of these are Java/Sun jars that don't appear in M2; we expected that
(jms, jta, jmxtools).  2 of these (hsqldb and log4j) appear to be
issues with the version:

1)  With 'hsqldb', the problem appears to be that the version is:

<pkgVersion>1.8.0.7</pkgVersion>

The error is:

[ERROR] Invalid value for Bundle-Version, 1.8.0.7.0001-SNAPSHOT does
not match [0-9]+(\.[0-9]+(\.[0-9]+(\.[0-9A-Za-z_-]+)?)?)?
org.apache.maven.plugin.MojoFailureException: Found errors, see log
        at org.apache.felix.tools.maven2.bundleplugin.BundlePlugin.execute(BundlePlugin.java:153)

2)  Similarly, with 'log4j':

<pkgVersion>1.2.12</pkgVersion>

[ERROR] Invalid value for Bundle-Version, 1.2.12-0001-SNAPSHOT does
not match [0-9]+(\.[0-9]+(\.[0-9]+(\.[0-9A-Za-z_-]+)?)?)?
org.apache.maven.plugin.MojoFailureException: Found errors, see log
        at org.apache.felix.tools.maven2.bundleplugin.BundlePlugin.execute(BundlePlugin.java:153)

I'll commit what I have now.  I held off last night and I had to catch a train.

Enrique

Mime
View raw message